<?php 

declare(strict_types =1);

namespace MyApp\Entity;
use MyApp\Entity\type_chambre;

class Chambre{
    private ?int $id = null; // vide tant qu'il n'a pas récup de valeur de la BDD
    private string $nom;
    private float $prix;
    private int $nbr_lit;
    private int $num_chambre;
    private string $description;
    private float $superficie;
    private string $etat;
    private ?type_chambre $id_type_chambre = null;


    public function __construct(?int $id, string $nom, float $prix, int $nbr_lit, int $num_chambre, string $description, float $superficie, string $etat, ?type_chambre $id_type_chambre){
        $this->id = $id;
        $this->nom = $nom;
        $this->prix = $prix;
        $this->nbr_lit = $nbr_lit;
        $this->num_chambre = $num_chambre;
        $this->description = $description;
        $this->superficie = $superficie;
        $this->etat = $etat;
        $this->id_type_chambre = $id_type_chambre;
    }

    // get pour récuperer des données dans la BDD
    public function getId():?int{
        return $this->id;
    }
    public function setId(?int $id):void{
        $this->id = $id;
    }
    
    public function getNom():string{
        return $this->nom;
    }
    public function setNom(string $nom):void{
        $this->nom = $nom;
    }

    public function getPrix():float{
        return $this->prix;
    }
    public function setPrix(float $prix):void{
        $this->prix = $prix;
    }

    public function getNbr_lit():int{
        return $this->nbr_lit;
    }
    public function setNbr_lit(int $nbr_lit):void{
        $this->nbr_lit = $nbr_lit;
    }

    public function getNum_chambre():int{
        return $this->num_chambre;
    }
    public function setNum_chambre(int $num_chambre):void{
        $this->num_chambre = $num_chambre;
    }

    public function getDescription():string{
        return $this->description;
    }

    public function setDescription(string $description):void{
        $this->description = $description;
    }

    public function getSuperficie():float{
        return $this->superficie;
    }
    public function setSuperficie(float $superficie):void{
        $this->superficie = $superficie;
    }

    public function getEtat():string{
        return $this->etat;
    }
    public function setEtat(string $etat):void{
        $this->etat = $etat;
    }

    public function getId_type_chambre():?type_chambre{
        return $this->id_type_chambre;
    }
    public function setId_type_chambre(?type_chambre $id_type_chambre):void{
        $this->id_type_chambre = $id_type_chambre;
    }

}
